import { Server, IncomingMessage, ServerResponse } from "node:http";
/**
 * Initializes WebSocket support on the provided HTTP server.
 *
 * Attaches required upgrade listeners and sets up
 * socket communication channels.
 */
export declare function initSocket(server: Server): void;
export declare function isSocketInitialized(): boolean;
export declare function sendMessage<T>(method: string, userId?: string, data?: T): any;
/**
 * Intercepts incoming HTTP requests to detect and handle WebSocket requests.
 */
export declare function checkAndHandleWebSocketRequest(incomingMessage: IncomingMessage, serverResponse: ServerResponse): void;
